CVE-2006-1696
CVSS4.3
发布时间 :2006-04-11 06:02:00
修订时间 :2013-08-14 00:57:29
NMCO    

[原文]Cross-site scripting (XSS) vulnerability in Gallery before 1.5.3 allows remote attackers to inject arbitrary web script or HTML via unknown attack vectors.


[CNNVD]Gallery 未明跨站脚本攻击漏洞 (CNNVD-200604-169)

        Gallery 1.5.3之前的版本中存在跨站脚本攻击漏洞。这使得远程攻击者可以借助于未知攻击向量注入任意Web脚本或HTML。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:gallery_project:gallery:1.5.2_rc2
cpe:/a:gallery_project:gallery:1.5.2_rc3
cpe:/a:gallery_project:gallery:1.4.4_pl4
cpe:/a:gallery_project:gallery:1.4.4_pl5
cpe:/a:gallery_project:gallery:1.3.4
cpe:/a:gallery_project:gallery:1.4.4_pl2
cpe:/a:gallery_project:gallery:1.4.4_pl3
cpe:/a:gallery_project:gallery:1.5.1_rc2
cpe:/a:gallery_project:gallery:1.4.2
cpe:/a:gallery_project:gallery:1.4.1
cpe:/a:gallery_project:gallery:1.5.1
cpe:/a:gallery_project:gallery:1.4
cpe:/a:gallery_project:gallery:1.5
cpe:/a:gallery_project:gallery:1.4.3_pl2
cpe:/a:gallery_project:gallery:1.5.2
cpe:/a:gallery_project:gallery:1.4.3_pl1
cpe:/a:gallery_project:gallery:1.4_pl1
cpe:/a:gallery_project:gallery:1.4_pl2
cpe:/a:gallery_project:gallery:1.5.2_pl2
cpe:/a:gallery_project:gallery:1.5.2_pl1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1696
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-1696
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200604-169
(官方数据源) CNNVD

- 其它链接及资源

http://sourceforge.net/project/shownotes.php?release_id=408602&group_id=7130
(PATCH)  CONFIRM  http://sourceforge.net/project/shownotes.php?release_id=408602&group_id=7130
http://secunia.com/advisories/19580
(VENDOR_ADVISORY)  SECUNIA  19580
http://www.vupen.com/english/advisories/2006/1285
(UNKNOWN)  VUPEN  ADV-2006-1285
http://www.osvdb.org/24466
(UNKNOWN)  OSVDB  24466
http://xforce.iss.net/xforce/xfdb/25707
(UNKNOWN)  XF  gallery-unspecified-xss(25707)
http://www.securityfocus.com/bid/17437
(UNKNOWN)  BID  17437

- 漏洞信息

Gallery 未明跨站脚本攻击漏洞
中危 跨站脚本
2006-04-11 00:00:00 2006-04-11 00:00:00
远程  
        Gallery 1.5.3之前的版本中存在跨站脚本攻击漏洞。这使得远程攻击者可以借助于未知攻击向量注入任意Web脚本或HTML。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        Gallery Gallery 1.4 -pl2
        Gallery gallery-1.5.3.tar.gz
        http://prdownloads.sourceforge.net/gallery/gallery-1.5.3.tar.gz
        Gallery Gallery 1.4 -pl1
        Gallery gallery-1.5.3.tar.gz
        http://prdownloads.sourceforge.net/gallery/gallery-1.5.3.tar.gz
        Gallery Gallery 1.4
        Gallery gallery-1.5.3.tar.gz
        http://prdownloads.sourceforge.net/gallery/gallery-1.5.3.tar.gz
        Gallery Gallery 1.4.1
        Gallery gallery-1.5.3.tar.gz
        http://prdownloads.sourceforge.net/gallery/gallery-1.5.3.tar.gz
        Gallery Gallery 1.4.2
        Gallery gallery-1.5.3.tar.gz
        http://prdownloads.sourceforge.net/gallery/gallery-1.5.3.tar.gz
        Gallery Gallery 1.4.3 -pl2
        Gallery gallery-1.5.3.tar.gz
        http://prdownloads.sourceforge.net/gallery/gallery-1.5.3.tar.gz
        Gallery Gallery 1.4.3 -pl1
        Gallery gallery-1.5.3.tar.gz
        http://prdownloads.sourceforge.net/gallery/gallery-1.5.3.tar.gz
        Gallery Gallery 1.4.4 -pl5
        Gallery gallery-1.5.3.tar.gz
        http://prdownloads.sourceforge.net/gallery/gallery-1.5.3.tar.gz
        Gallery Gallery 1.4.4 -pl3
        Gallery gallery-1.5.3.tar.gz
        http://prdownloads.sourceforge.net/gallery/gallery-1.5.3.tar.gz
        Gallery Gallery 1.4.4 -pl4
        Gallery gallery-1.5.3.tar.gz
        http://prdownloads.sourceforge.net/gallery/gallery-1.5.3.tar.gz
        Gallery Gallery 1.4.4 -pl2
        Gallery gallery-1.5.3.tar.gz
        http://prdownloads.sourceforge.net/gallery/gallery-1.5.3.tar.gz
        Gallery Gallery 1.5
        Gallery gallery-1.5.3.tar.gz
        http://prdownloads.sourceforge.net/gallery/gallery-1.5.3.tar.gz
        Gallery Gallery 1.5 -pl1
        Gallery gallery-1.5.3.tar.gz
        http://prdownloads.sourceforge.net/gallery/gallery-1.5.3.tar.gz
        Gallery Gallery 1.5.1
        Gallery gallery-1.5.3.tar.gz
        http://prdownloads.sourceforge.net/gallery/gallery-1.5.3.tar.gz
        Gallery Gallery 1.5.1 -RC2
        Gallery gallery-1.5.3.tar.gz
        http://prdownloads.sourceforge.net/gallery/gallery-1.5.3.tar.gz
        Gallery Gallery 1.5.2 -pl2
        Gallery gallery-1.5.3.tar.gz
        http://prdownloads.sourceforge.net/gallery/gallery-1.5.3.tar.gz
        Gallery Gallery 1.5.2
        Gallery gallery-1.5.3.tar.gz
        http://prdownloads.sourceforge.net/gallery/gallery-1.5.3.tar.gz
        Gallery Gallery 1.5.2 -RC2
        Gallery gallery-1.5.3.tar.gz
        http://prdownloads.sourceforge.net/gallery/gallery-1.5.3.tar.gz
        

- 漏洞信息

24466
Gallery Unspecified JavaScript Injection
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Unknown Vendor Verified

- 漏洞描述

Gallery contains a flaw that allows a remote JavaScript injection attack. This flaw exists because the application does not validate certain unspecified user input. This could allow a user to execute arbitrary scripting code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2006-04-10 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 1.5.3 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站